Neonode zForce(TM) SDK

Classes | Typedefs | Enumerations | Functions
Asn1Protocol.h File Reference

Implementation of Neonode's ASN.1 based protocol. More...

Go to the source code of this file.

## Classes
struct | Asn1Protocol
| This structure represents the ASN.1 protocol class. More...

## Typedefs
typedef enum Asn1InitializationStatus | Asn1InitializationStatus
typedef struct Asn1Protocol | Asn1Protocol

## Enumerations
enum | Asn1InitializationStatus { Asn1Uninitialized = 0 , Asn1Initialized }
| Enum describing if initialization messages has been sent and received. More...

## Functions
DLLINTERNAL bool | Asn1Protocol_Initialize (void)
| Adds the ASN.1 Protocol to the ProtocolTable. More...

## Detailed Description

Implementation of Neonode's ASN.1 based protocol.

Copyright
  COPYRIGHT NOTICE: (c) 2017-2022 Neonode Technologies AB. All rights reserved.

## Typedef Documentation

## ◆ Asn1InitializationStatus

typedef enum Asn1InitializationStatus Asn1InitializationStatus

See also
  Asn1InitializationStatus

## ◆ Asn1Protocol

typedef struct Asn1Protocol Asn1Protocol

See also
  Asn1Protocol

## Enumeration Type Documentation

## ◆ Asn1InitializationStatus

enum Asn1InitializationStatus

Enum describing if initialization messages has been sent and received.

Enumerator
Asn1Uninitialized | Initialization sequence not completed.
Asn1Initialized | Initialization sequence completed.

## Function Documentation

## ◆ Asn1Protocol_Initialize()

DLLINTERNAL bool Asn1Protocol_Initialize | ( | void |  | ) |

Adds the ASN.1 Protocol to the ProtocolTable.

On error, errno is set.

- EALREADYADDED - The ASN.1 protocol has already been added.
- EOUTOFMEMORY - The memory used to store protocol details has been exhausted.
- EMUTEXLOCKFAILED - We couldn't lock a mutex we need for an internal critical section. This should not happen.
- EBADMUTEX - We tried to use a mutex internally but it wasn't a valid mutex. This should not happen.
- EALREADYINITIALIZED - Protocol already initialized.

Returns
  True upon success, otherwise return false in which case see errno.